Skip to main content
PATCH
/
orgs
/
{org_id}
/
assistants
/
{assistant_id}
/
actions
/
reorder
Reorder Assistant Actions
curl --request PATCH \
  --url https://api.useinvent.com/orgs/{org_id}/assistants/{assistant_id}/actions/reorder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "positions": [
    {
      "id": "<string>",
      "position": 1
    }
  ]
}
'
[
  {
    "id": "<string>",
    "enabled": true,
    "name": "<string>",
    "instructions": "<string>",
    "action_id": "<string>",
    "assistant_id": "<string>",
    "connection_id": "<string>",
    "config": {
      "input": {},
      "definitions": [
        {
          "path": "<string>",
          "definition": {}
        }
      ]
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

assistant_id
string
required

The ID of the assistant

Query Parameters

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Body

Ordered list of assistant action IDs.

Schema for reordering assistant actions

positions
object[]
required

New explicit position for each action being reordered

Maximum array length: 25

Response

200 - application/json

The reordered assistant actions.

id
string
required

The ID of the action

enabled
boolean
required

Whether the action is enabled

name
string | null
required

The name of the action

instructions
string | null
required

The instructions for the action

action_id
string
required

The ID of the action, e.g. "TOOLS:HTTP_REQUEST"

Examples:

"TOOLS:HTTP_REQUEST"

"TOOLS:WEB_SEARCH"

"TOOLS:WEB_SCRAPING"

assistant_id
string
required

The ID of the assistant

Example:

"ast_XXX"

connection_id
string | null
required

The ID of the connection to use for the action if required

Example:

"con_XXX"

config
object
required

The input values with their dynamic field definitions

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required